# Yahoo! UI Library

### DataTable Widget 2.9.0

Yahoo! UI Library > datatable > YAHOO.widget.DropdownCellEditor
Search:
Filters Show Private Show Protected Show Deprecated

## Class YAHOO.widget.DropdownCellEditor - extends YAHOO.widget.BaseCellEditor

The DropdownCellEditor class provides functionality for inline editing DataTable cell data a SELECT element.

### Constructor

YAHOO.widget.DropdownCellEditor `( oConfigs )`

Parameters:
  `oConfigs <Object>` (Optional) Object literal of configs.

### Properties

#### dropdown - `HTMLElement`

Reference to Dropdown element.

#### dropdownOptions - `HTML[] | Object[]`

Array of dropdown values. Can either be a simple array (e.g., ["Alabama","Alaska","Arizona","Arkansas"]) or a an array of objects (e.g., [{label:"Alabama", value:"AL"}, {label:"Alaska", value:"AK"}, {label:"Arizona", value:"AZ"}, {label:"Arkansas", value:"AR"}]). String values are treated as markup and inserted into the DOM as innerHTML.

#### multiple - `Boolean`

Enables multi-select.

#### size - `Number`

Specifies number of visible options.

#### Properties inherited from YAHOO.widget.BaseCellEditor:

`_elCancelBtn, _elContainer, _elSaveBtn, _elTd, _oColumn, _oDataTable, _oRecord, _sId, _sType, asyncSubmitter, className, defaultValue, disableBtns, isActive, LABEL_CANCEL, LABEL_SAVE, resetInvalidData, useIFrame, validator, value`

#### Properties inherited from YAHOO.util.EventProvider:

`__yui_events, __yui_subscribers`

### Methods

#### focus

`void focus ( )`
Sets focus in DropdownCellEditor.

#### getInputValue

`void getInputValue ( )`
Retrieves input value from DropdownCellEditor.

#### handleDisabledBtns

`void handleDisabledBtns ( )`
After rendering form, if disabledBtns is set to true, then sets up a mechanism to save input without them.

#### renderForm

`void renderForm ( )`
Render a form with select element.

#### resetForm

`void resetForm ( )`
Resets DropdownCellEditor UI to initial state.

#### Methods inherited from YAHOO.widget.BaseCellEditor:

`_hide, _initConfigs, _initContainerEl, _initEvents, _initShimEl, attach, block, cancel, destroy, doAfterRender, focus, getColumn, getContainerEl, getDataTable, getId, getInputValue, getRecord, getTdEl, handleDisabledBtns, move, render, renderBtns, renderForm, resetForm, save, show, toString, unblock`

#### Methods inherited from YAHOO.util.EventProvider:

`createEvent, fireEvent, hasEvent, subscribe, unsubscribe, unsubscribeAll`

#### Events inherited from YAHOO.widget.BaseCellEditor:

`blurEvent, cancelEvent, invalidDataEvent, keydownEvent, revertEvent, saveEvent, showEvent,`

Copyright © 2011 Yahoo! Inc. All rights reserved.